LINUX.ORG.RU

а jabber вообще такое поддерживает?

r0ck3r ★★★★★ ()

И сервер и клиенты должны поддерживать XEP-0280 (Message Carbons) и XEP-0313 (Message Archive Management), обязательно оба стандарта. Из десктопных клиентов, которые это поддерживают, я знаю только Gajim, из мобильных - Conversations. Из серверов - ejabberd точно поддерживает, Openfire - не знаю, надо смотреть.

Black_Shadow ★★★★★ ()
Последнее исправление: Black_Shadow (всего исправлений: 1)
Ответ на: комментарий от diesel_tt

насколько я знаю - в jabber это невозможно. На мой взгляд единственный выход - попробовать реализовать функцию синхронизации в самом клиенте при помощи плагина, но тут без знаний яп, на котором написан клиент, не обойтись

r0ck3r ★★★★★ ()
Ответ на: комментарий от Black_Shadow

Коллеги, так есть возможность или нет , я не совсем уловил вашу мысль ??

diesel_tt ()
Ответ на: комментарий от diesel_tt

правильно ли я понял что данный плагин позволяет получать сообщения на локальной машине и мобильном устройстве ?

diesel_tt ()
Ответ на: комментарий от diesel_tt

Там 2 расширения протокола, одно позволяет получать сообщения (в том числе и исходящие) во все клиенты, не взирая на приоритет, второе позволяет хранить хистори на сервере. При поддержке обоих расширений, ты получаешь нормальную синхронизацию хистори в реальном времени.

Как включить это в Openfire - читай документацию.

Black_Shadow ★★★★★ ()
Последнее исправление: Black_Shadow (всего исправлений: 3)
Ответ на: комментарий от Black_Shadow

можно еще одну просьбу, я в документации не могу найти этот пункт, не сочти за назойливость пожалуйста, ткни где это описано?

diesel_tt ()
Ответ на: комментарий от Black_Shadow

Установил и настроил, к сожалению синхронизации нет, пишу с аккаунта 1 на аккаунт2 который работает и на винде и на мобильном устройстве, сообщение только получает то устройство с которого последним отправляли сообщению аккаунту1((.

diesel_tt ()
Ответ на: комментарий от diesel_tt

Фичреквесты для Spark: XEP-0280, XEP-0313, оба Unresolved. Думаю, что тоже самое у Xabber. Ставь Gajim и Conversations, и проверяй там (в этих клиентах я проверял, и всё работает).

ЗЫ: Conversations в F-Droid бесплатный.

Black_Shadow ★★★★★ ()
Последнее исправление: Black_Shadow (всего исправлений: 2)
Ответ на: комментарий от Black_Shadow

Prosody тоже поддерживает (через сторонние модули AFAIK).

MRZA ()
Ответ на: комментарий от MRZA

Добрый день ! Скажи пожалуйста как ты решил проблему с сертификатами? у меня когда я подключаю Gajim он ругается на само подписной сертификат а в yaxim ругается ssl и не конектится

diesel_tt ()
Ответ на: комментарий от Black_Shadow

а можно ли самоподписные добавить? чтобы не заморачиваться с Let's Encrypt.

diesel_tt ()
Ответ на: комментарий от diesel_tt

Gajim должен позволять запомнить сертификат. А самоподписной добавь в доверенные на Android вручную (в настройках безопасности).

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.